/***************************************************************************
 *   Copyright (C) 2006 by André Lindhjem <belgarat@sdf.lonestar.org>,     *
 *                         Kjetil Holien <kjetil.holien@gmail.com>,        *
 *                         Terje Risa <terje.risa@gmail.com> &             *
 *                         Øyvind Nerbråten <oyvind@nerbraten.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************
 *
 * \file nccparser.h
 * \author André Lindhjem, Kjetil Holien, Terje Risa & Øyvind Nerbråten
 * \date 16.02.2006
 *
 * NCC parser for the Daisy 2.02 standar. Collects data and stores it in linked list
 * in the main datastructure. This linked smil list represents the spine of the
 * daisy DTB.
 */

 
#ifndef NCCPARSER_H_
#define NCCPARSER_H_

#include "control.h"



/* ************************************************** *
 * 			Global function declarations 			  *
 * ************************************************** */
 
/**
 * Function for parsing a daisy 2.02 ncc file (ncc.*). Builds a linked list in the main
 * data structure containing information about all smil files. The linked list represents
 * the spine of the daisy DTB.
 * @param daisydata - a pointer to the datastructure initialized by parseInit ().
 * @param filename - a pointer to a string containing the path and filename to the ncc file.
 * @returns 1 in case of success and -1 in case of error.
 */
int parseNCC(struct DaisyData *daisydata, char *filename);


#endif /*NCCPARSER_H_*/
